# Uses of Enum Class
org.opensaml.saml.metadata.resolver.filter.impl.PredicateFilter.Direction

Packages that use PredicateFilter.Direction
Package
Description
org.opensaml.saml.metadata.resolver.filter.impl
Implementation of Metadata Filters.

## Uses of PredicateFilter.Direction in org.opensaml.saml.metadata.resolver.filter.impl

Fields in org.opensaml.saml.metadata.resolver.filter.impl declared as PredicateFilter.Direction
Modifier and Type
Field
Description
`private final PredicateFilter.Direction`
PredicateFilter.`direction`
Whether matching means to include or exclude an entity.
Methods in org.opensaml.saml.metadata.resolver.filter.impl that return PredicateFilter.Direction
Modifier and Type
Method
Description
`PredicateFilter.Direction`
PredicateFilter.`getDirection()`
Get the direction of filtering.
`static PredicateFilter.Direction`
PredicateFilter.Direction.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PredicateFilter.Direction[]`
PredicateFilter.Direction.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.opensaml.saml.metadata.resolver.filter.impl with parameters of type PredicateFilter.Direction
Modifier
Constructor
Description
``
`PredicateFilter(PredicateFilter.Direction dir, Predicate<EntityDescriptor> theCondition)`
Constructor.